#ifndef FADER_H
#define FADER_H

#include <stdint.h>

struct sk6812_ctx;

int fader_init(uint32_t nMod, struct sk6812_ctx *ctx);
void fader_shutdown(void);
void fader_set_colour(uint32_t module, uint8_t r, uint8_t g, uint8_t b, uint8_t w);
void fader_fade_colour(uint32_t module, uint8_t r, uint8_t g, uint8_t b, uint8_t w);
void fader_add_colour(uint32_t module, uint8_t r, uint8_t g, uint8_t b, uint8_t w);
void fader_set_fadestep(uint8_t newFadestep);
void fader_update(void);
void fader_wait_frame(void);

#endif // FADER_H
